Bug 607051 - Keyboard bell settings don't apply to keyboards.
Keyboard bell settings don't apply to keyboards.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Hutterer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 23:24 EDT by Peter Hutterer
Modified: 2010-11-15 08:46 EST (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-server-1.7.7-16.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 08:46:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2010-06-22 23:24:57 EDT
Description of problem:
Typo in ProcChangeKeyboardControl prevents a changed bell from actually feeding down to the slave devices. Result is that the settings never apply to the actual keyboards.

Version-Release number of selected component (if applicable):
xorg-x11-server-1.7.7-11.el6

How reproducible:
See http://bugs.freedesktop.org/show_bug.cgi?id=27926

Additional info:
https://bugs.freedesktop.org/show_bug.cgi?id=27926
Comment 1 RHEL Product and Program Management 2010-06-22 23:42:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Peter Hutterer 2010-06-28 20:30:58 EDT
MODIFIED

xorg-x11-server-1.7.7-16.el6 is available in brew.
Comment 4 Vladimir Benes 2010-11-12 11:12:56 EST
  1. Start a fresh X.org server:

  xinit /usr/bin/xterm -- :1

  2. Play the bell:

  xset b 50 400; printf '\a'

  3. Repeat with 800 instead of 400.

those frequencies are different now.
->VERIFIED
Comment 5 releng-rhel@redhat.com 2010-11-15 08:46:43 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.